<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>es007</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <div id="es007">
        <h1>es007 axios</h1>
        <div>
            <ul v-if="posts && posts.length">
                <li v-for="post in posts">
                    <p><strong>{{post.title}}</strong></p>
                    <p>{{post.body}}</p>
                </li>
            </ul>

            <ul v-if="errors && errors.length">
                <li v-for="error in errors">
                    {{error.message}}
                </li>
            </ul>
        </div>
        <script src="app.js"></script>
</body>

</html>